\NeedsTeXFormat{LaTeX2e}
 
\ProvidesClass{classConn}
 
% classe de base
 
\LoadClass[a5paper, 12pt]{article}
 
% extensions
 
\RequirePackage{base}
\RequirePackage{none_beamer}
\RequirePackage{colorscheme}
% pour redéfinir \section
\RequirePackage[explicit]{titlesec}

% géométrie
\RequirePackage{geometry}
\geometry{left=10mm,right=10mm, top=10mm}
 
% commandes personnelles

% Les en-tête et les pieds de pages
\RequirePackage{fancyhdr}
\pagestyle{empty}
%\renewcommand\headrulewidth{0pt}
%\fancyhead[R]{}
%\fancyfoot[C]{}

% Description du devoir
\newcommand{\op@entete}{}
\newcommand{\op@soustitre}{}
\newcommand{\op@classe}{}
\newcommand{\op@titre}{Connaissance}

\newcommand{\classe}[1]{\renewcommand{\op@classe}{#1}}
\newcommand{\titre}[1]{\renewcommand{\op@titre}{#1}}

\renewcommand{\op@soustitre}{\op@classe{} -- \@date{}}%
\renewcommand{\op@entete}{\@date}        


% Redéfinition de maketitle pour ne plus avoir la date
\newcounter{sujet}
\setcounter{sujet}{0}
\newcommand{\sujet}{%
    \clearpage
    \setcounter{exo}{0}
    \addtocounter{sujet}{1}
    \noindent
    \begin{minipage}{0.8\textwidth}
        \noindent{\huge \color{title}\bfseries \op@titre}\par
        \noindent{\color{line}\rule{\linewidth}{1ex}}\par
        \noindent{\color{subtitle}\bfseries \op@soustitre}\par
    \end{minipage}
    \begin{minipage}{0.2\textwidth}
        \begin{center}
            \Huge\thesujet
        \end{center}
    \end{minipage}
    \\[0.2cm]
    Nom - Prénom:
    \\[0.2cm]

    \normalsize
}
